package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFHE6Data {

    private Map<String, Object> params;
    
    public MWFHE6Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsSalesProductType() {
        return (String) params.get("RS_SALES_PRODUCT_TYPE");
    }

    public String rsDiscountType() {
        return (String) params.get("RS_DISCOUNT_TYPE");
    }

    public String rsFormId() {
        return (String) params.get("RS_FORM_ID");
    }

    public Double rsMinLoanAmount() {
        return (Double) params.get("RS_MIN_LOAN_AMOUNT");
    }

    public Double rsMaxLoanAmount() {
        return (Double) params.get("RS_MAX_LOAN_AMOUNT");
    }

    public Long rsMinTerm() {
        return (Long) params.get("RS_MIN_TERM");
    }

    public Long rsMaxTerm() {
        return (Long) params.get("RS_MAX_TERM");
    }

    public String rsProductName() {
        return (String) params.get("RS_PRODUCT_NAME");
    }

    public Double rsMinFirstDrawRate() {
        return (Double) params.get("RS_MIN_FIRST_DRAW_RATE");
    }

    public Double rsInstRate() {
        return (Double) params.get("RS_INST_RATE");
    }

    public Long rsRevisionPeriod() {
        return (Long) params.get("RS_REVISION_PERIOD");
    }

    public String rsRiskProdType() {
        return (String) params.get("RS_RISK_PROD_TYPE");
    } 

}
